=== debian/changelog ===
rust-zram-generator (0.3.2-1) unstable; urgency=medium

  * Package zram-generator 0.3.2 from crates.io using debcargo 2.4.4

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Oct 2021 22:52:11 +0200
