=== debian/control ===
Source: rust-zram-generator
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-2-dev (>= 2.33-~~),
 librust-liboverdrop-0.0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini-0.16+default-dev | librust-rust-ini-0.15+default-dev | librust-rust-ini-0.14+default-dev | librust-rust-ini-0.13+default-dev,
 ronn,
 systemd,
 pkg-config,
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
 Heysion <heysion@deepin.com>
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/zram-generator]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/zram-generator
Homepage: https://github.com/systemd/zram-generator
Rules-Requires-Root: no

Package: systemd-zram-generator
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Systemd unit generator for zram swap devices
 This package contains the following binaries built from the Rust crate
 "zram-generator":
  - zram-generator
