=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets --all-features
Features: test-name=rust-zram-generator:@
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets 
Features: test-name=librust-zram-generator-dev:default
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets --no-default-features
Features: test-name=librust-zram-generator-dev:
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
