=== debian/changelog ===
rust-zram-generator (1.1.2-6) unstable; urgency=medium

  * zram-generator: fix systemd generator install target
    The previous changes overlooked `d/rules`, ending up with the generator
    binary still being installed to `/lib/...`.
    Fix this (and prevent future issues) by using the corresponding
    pkg-config variable instead of hardcoding the install path.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 17 Jul 2024 16:05:12 +0200

rust-zram-generator (1.1.2-5) unstable; urgency=medium

  * zram-generator: install systemd service under /usr
    With the usr-merge transition being mostly complete, we can (and should)
    now install systemd services under `/usr`.
    This also affects `d/tests/control` as `SYSTEMD_UTIL_DIR` must be
    updated accordingly.
    (Closes: #1073617)
  * zram-generator: install vendor configuration files under /usr
    (Closes: #1042926)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 Jul 2024 14:34:30 +0200

rust-zram-generator (1.1.2-4) unstable; urgency=medium

  * Refresh patches

  [ Christian Göttsche ]
  * update build-dependencies (Closes: #1060532)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 03 Jul 2024 14:57:27 +0200

rust-zram-generator (1.1.2-3) unstable; urgency=medium

  * Team upload.
  * Package zram-generator 1.1.2 from crates.io using debcargo 2.6.0
  * Apply workaround for dh_dwz crash (Closes: #1043117)
  * Fix autopkgtest (it was previously skipped)
    + Bump dev-dependency on nix to allow version 0.26
    + Don't fail the tests if mount returns "invalid argument", this likely
      indicates a lack of kernel support.
    + Set SYSTEMD_UTIL_DIR=/lib/systemd when running autopkgtest.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 15 Aug 2023 15:11:31 +0000

rust-zram-generator (1.1.2-2) unstable; urgency=medium

  * actually call pkg-config (Closes: #1026745)

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 28 Dec 2022 18:03:27 +0100

rust-zram-generator (1.1.2-1) unstable; urgency=medium

  [ Ben Westover ]
  * Package zram-generator 1.1.2 from crates.io using debcargo 2.5.0

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 14:18:50 +0100
