=== debian/rules ===
#!/usr/bin/make -f

export SYSTEMD_UTIL_DIR := $(shell pkg-config --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell pkg-config --variable=systemdsystemgeneratordir systemd)

%:
	dh $@ --buildsystem cargo

override_dh_install:
	make man systemd-service
	dh_install -O--buildsystem=cargo

execute_after_dh_auto_install:
	mkdir -p debian/systemd-zram-generator/$(SYSTEMD_SYSTEM_GENERATOR_DIR)
	mv debian/systemd-zram-generator/usr/bin/zram-generator \
		debian/systemd-zram-generator/$(SYSTEMD_SYSTEM_GENERATOR_DIR)
	rm -rf debian/systemd-zram-generator/usr/bin

override_dh_dwz:
	# Don't do anything, fails because of
	# https://github.com/rust-lang/rust/issues/66118
	# (copied from other binary crates)
