=== debian/tests/control ===
Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets --all-features
Features: test-name=rust-zram-generator:@
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets
Features: test-name=librust-zram-generator-dev:default
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets --no-default-features
Features: test-name=librust-zram-generator-dev:
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
