=== debian/changelog ===
rust-zram-generator (1.2.1-2) unstable; urgency=medium

  * zram-generator: conditionally remove old config file
    `/etc/systemd/zram-generator.conf` is still a valid config file that can
    be used by the user to override default settings. It is currently
    removed on each package upgrade, while this should only be the case
    when upgrading from a version prior to 1.1.2-5. (Closes: #1089203)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 15 May 2025 18:52:16 +0200

rust-zram-generator (1.2.1-1) unstable; urgency=medium

  * Package zram-generator 1.2.1 from crates.io using debcargo 2.7.4
  * zram-generator: add postinst/rm scripts
    This ensures systemd is made aware of the new generator and can start
    it automatically upon install.
    (Closes: #1033825)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 05 Dec 2024 12:55:37 +0100
