=== debian/control ===
Source: rust-zram-generator
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 systemd-dev,
 ronn,
 pkgconf
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-4+cargo-dev (>= 4.5-~~),
 librust-clap-4+error-context-dev (>= 4.5-~~),
 librust-clap-4+help-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.1+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ben Westover <me@benthetechguy.net>,
 Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/zram-generator]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/zram-generator
Homepage: https://github.com/systemd/zram-generator
X-Cargo-Crate: zram-generator
Rules-Requires-Root: no

Package: librust-zram-generator-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-4+cargo-dev (>= 4.5-~~),
 librust-clap-4+error-context-dev (>= 4.5-~~),
 librust-clap-4+help-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.1+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~)
Provides:
 librust-zram-generator+default-dev (= ${binary:Version}),
 librust-zram-generator-1-dev (= ${binary:Version}),
 librust-zram-generator-1+default-dev (= ${binary:Version}),
 librust-zram-generator-1.2-dev (= ${binary:Version}),
 librust-zram-generator-1.2+default-dev (= ${binary:Version}),
 librust-zram-generator-1.2.1-dev (= ${binary:Version}),
 librust-zram-generator-1.2.1+default-dev (= ${binary:Version})
Description: Systemd unit generator for zram swap devices - Rust source code
 Source code for Debianized Rust crate "zram-generator"

Package: systemd-zram-generator
Architecture: any
Section: admin
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 systemd
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Systemd unit generator for zram devices
 This generator provides a simple and fast mechanism to configure swap
 on /dev/zram* devices. The main use case is create swap devices, but
 devices with a file system can be created too, see below.
